## ros-galactic-rmw 3.3.1

=== debian/changelog ===
ros-galactic-rmw (3.3.1-1focal) focal; urgency=high

  * Document which QoS policies are correctly read by rmw_get_publishers/subscriptions_info_by_topic (#308 <https://github.com/ros2/rmw/issues/308>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Apr 2021 00:00:00 -0000

ros-galactic-rmw (3.3.0-1focal) focal; urgency=high

  * Unique network flows (#294 <https://github.com/ros2/rmw/issues/294>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#307 <https://github.com/ros2/rmw/issues/307>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-galactic-rmw (3.2.0-1focal) focal; urgency=high

  * Introduce RMW_DURATION_INFINITE constant and API return value promise (#301 <https://github.com/ros2/rmw/issues/301>)
  * Contributors: Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 Mar 2021 00:00:00 -0000

ros-galactic-rmw (3.1.0-1focal) focal; urgency=high

  * Add declaration for function to check QoS profile compatibility (#299 <https://github.com/ros2/rmw/issues/299>)
  * Update the rmw_take_sequence documentation. (#297 <https://github.com/ros2/rmw/issues/297>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Feb 2021 00:00:00 -0000

ros-galactic-rmw (3.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-rmw (2.2.1-1focal) focal; urgency=high

  * Update rmw QD to QL 1 (#289 <https://github.com/ros2/rmw/issues/289>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 00:00:00 -0000

ros-galactic-rmw (2.2.0-1focal) focal; urgency=high

  * Extend rmw_qos_policy_kind_t, add functions to convert it to/from a string (#285 <https://github.com/ros2/rmw/issues/285>)
  * Add functions to convert between qos policy values and strings (#284 <https://github.com/ros2/rmw/issues/284>)
  * Update maintainers (#282 <https://github.com/ros2/rmw/issues/282>)
  * Update service request/response API documentation (#279 <https://github.com/ros2/rmw/issues/279>)
  * Update rmw_get_serialized_message_size docblock (#281 <https://github.com/ros2/rmw/issues/281>)
  * Update rmw_service_server_is_available doc (#280 <https://github.com/ros2/rmw/issues/280>)
  * Update wait and wait sets' API documentation (#275 <https://github.com/ros2/rmw/issues/275>)
  * Update graph API documentation (#272 <https://github.com/ros2/rmw/issues/272>)
  * Update service server/client creation/destruction API documentation. (#276 <https://github.com/ros2/rmw/issues/276>)
  * Update rmw_*_*_allocation return values (#278 <https://github.com/ros2/rmw/issues/278>)
  * Update gid API documentation (#274 <https://github.com/ros2/rmw/issues/274>)
  * Do not link against pthread on Android (#267 <https://github.com/ros2/rmw/issues/267>)
  * Update taking API documentation (#271 <https://github.com/ros2/rmw/issues/271>)
  * Update publishing API documentation (#270 <https://github.com/ros2/rmw/issues/270>)
  * Add fault injection macros for use in other packages (#254 <https://github.com/ros2/rmw/issues/254>)
  * Add bad_alloc return to topic_endpoint_info functions (#269 <https://github.com/ros2/rmw/issues/269>)
  * Update publisher/subscription matched count API documentation (#262 <https://github.com/ros2/rmw/issues/262>)
  * Update publisher/subscription QoS query API documentation (#263 <https://github.com/ros2/rmw/issues/263>)
  * Extend rmw_serialized_message_t tests (#261 <https://github.com/ros2/rmw/issues/261>)
  * Update serialization/deserialization API documentation (#258 <https://github.com/ros2/rmw/issues/258>)
  * Update subscription API documentation (#256 <https://github.com/ros2/rmw/issues/256>)
  * Update publisher creation/destruction API documentation (#252 <https://github.com/ros2/rmw/issues/252>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Jacob Perron, Michel Hidalgo, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 04 Nov 2020 00:00:00 -0000

ros-galactic-rmw (2.1.0-1focal) focal; urgency=high

  * Add actual domain id to rmw_context_t (#251 <https://github.com/ros2/rmw/issues/251>)
  * Update node creation/destruction API documentation. (#249 <https://github.com/ros2/rmw/issues/249>)
  * Correct parameter names to match documentation (#250 <https://github.com/ros2/rmw/issues/250>)
  * Contributors: Geoffrey Biggs, Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Jul 2020 00:00:00 -0000

ros-galactic-rmw (2.0.0-1focal) focal; urgency=high

  * Remove domain_id and localhost_only from node API (#248 <https://github.com/ros2/rmw/issues/248>)
  * Require enclave upon rmw_init() call. (#247 <https://github.com/ros2/rmw/issues/247>)
  * Update init/shutdown API documentation. (#243 <https://github.com/ros2/rmw/issues/243>)
  * Update init options API documentation. (#244 <https://github.com/ros2/rmw/issues/244>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jul 2020 00:00:00 -0000

ros-galactic-rmw (1.1.0-1focal) focal; urgency=high

  * Add message lost subscription event (#232 <https://github.com/ros2/rmw/issues/232>)
  * Move statuses definitions to rmw/events_statuses/*.h (#232 <https://github.com/ros2/rmw/issues/232>)
  * Increase rmw testing coverage above 95% (#238 <https://github.com/ros2/rmw/issues/238>)
  * Handle zero-length names_and_types properly (#239 <https://github.com/ros2/rmw/issues/239>)
  * Add missing RMW_PUBLIC to security_options_set_root_path (#236 <https://github.com/ros2/rmw/issues/236>)
  * Update Quality Declaration for QL 2 (#233 <https://github.com/ros2/rmw/issues/233>)

