=== debian/control ===
Source: ros-galactic-rmw
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-gmock, ros-galactic-ament-cmake-ros, ros-galactic-ament-cmake-version, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-osrf-testing-tools-cpp, ros-galactic-rcutils, ros-galactic-rosidl-runtime-c, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rcutils, ros-galactic-rosidl-runtime-c, ros-galactic-ros-workspace
Description: Contains the ROS middleware API.
